> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve List Invoices For Review

> Lists all org invoices for admin review with batch eligibility, derived payment status and USD equivalents.

Required scope: `invoices:read`

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-list-invoices-for-review
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-list-invoices-for-review:
    post:
      operationId: selfServeListInvoicesForReview
      summary: Self Serve List Invoices For Review
      x-toku-required-scope: invoices:read
      description: >-
        Lists all org invoices for admin review with batch eligibility, derived
        payment status and USD equivalents.


        Required scope: `invoices:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeListInvoicesForReviewRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeListInvoicesForReviewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeListInvoicesForReviewRequest:
      type: object
      properties:
        status:
          type: string
          enum:
            - DRAFT
            - PENDING
            - APPROVED
            - REJECTED
            - CANCELLED
            - FAILED
            - COMPLETED
        excludeBatched:
          type: boolean
          default: false
        tokuContractorCryptoOnly:
          type: boolean
          default: false
        summaryOnly:
          type: boolean
    SelfServeListInvoicesForReviewResponse:
      type: object
      properties:
        invoices:
          type: array
          items:
            type: object
            properties:
              invoicePaymentID:
                type: string
              invoiceNumber:
                type:
                  - string
                  - 'null'
              invoiceDate:
                type:
                  - string
                  - 'null'
              dueDate:
                type:
                  - string
                  - 'null'
              totalAmount:
                type:
                  - string
                  - 'null'
              currencyCode:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              contractorName:
                type:
                  - string
                  - 'null'
              contractorEmail:
                type:
                  - string
                  - 'null'
              submissionTimestamp:
                type:
                  - string
                  - 'null'
              approvalRevision:
                type:
                  - number
                  - 'null'
              reason:
                type:
                  - string
                  - 'null'
              rejectionReason:
                type:
                  - string
                  - 'null'
              autoApproved:
                type:
                  - boolean
                  - 'null'
              lineItems:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  properties:
                    invoicePaymentLineItemID:
                      type:
                        - string
                        - 'null'
                    description:
                      type:
                        - string
                        - 'null'
                    quantity:
                      type:
                        - number
                        - 'null'
                    unitPrice:
                      type:
                        - number
                        - 'null'
                    amount:
                      type:
                        - number
                        - 'null'
                    taxAmount:
                      type:
                        - number
                        - 'null'
                    discountAmount:
                      type:
                        - number
                        - 'null'
                    total:
                      type:
                        - number
                        - 'null'
                    category:
                      type:
                        - string
                        - 'null'
                    paymentMethodType:
                      type:
                        - string
                        - 'null'
                      enum:
                        - BANK_TRANSFER
                        - CRYPTO_WALLET
                        - null
                    hrisBankAccountID:
                      type:
                        - string
                        - 'null'
                    cryptoCurrency:
                      type:
                        - string
                        - 'null'
                    cryptoNetwork:
                      type:
                        - string
                        - 'null'
                    merchant:
                      type:
                        - string
                        - 'null'
                    spentAmount:
                      type:
                        - string
                        - 'null'
                    spentCurrencyCode:
                      type:
                        - string
                        - 'null'
                    fxRate:
                      type:
                        - string
                        - 'null'
                    expensedDate:
                      type:
                        - string
                        - 'null'
              notes:
                type:
                  - string
                  - 'null'
              roleInOrgID:
                type:
                  - string
                  - 'null'
              attachments: {}
              groupedTotals:
                type:
                  - object
                  - 'null'
                properties:
                  bankTotals:
                    type:
                      - array
                      - 'null'
                    items:
                      type: object
                      properties:
                        currencyCode:
                          type:
                            - string
                            - 'null'
                        total:
                          type:
                            - string
                            - 'null'
                  cryptoTotals:
                    type:
                      - array
                      - 'null'
                    items:
                      type: object
                      properties:
                        tokenSymbol:
                          type:
                            - string
                            - 'null'
                        networkName:
                          type:
                            - string
                            - 'null'
                        total:
                          type:
                            - string
                            - 'null'
              usdEquivalent:
                type:
                  - number
                  - 'null'
              isPaymentBatchEligible:
                type:
                  - boolean
                  - 'null'
              isTokuContractorCryptoInvoice:
                type:
                  - boolean
                  - 'null'
              derivedPaymentStatus:
                type:
                  - string
                  - 'null'
              batchEligibility:
                type:
                  - object
                  - 'null'
                properties:
                  isBatchEligible:
                    type:
                      - boolean
                      - 'null'
                  reason:
                    type:
                      - string
                      - 'null'
                  selectedReceiveRouteTokenTypeID:
                    type:
                      - string
                      - 'null'
                  selectedReceiveRouteLabel:
                    type:
                      - string
                      - 'null'
              duplicateCandidates:
                type:
                  - array
                  - 'null'
                items:
                  type: object
                  properties:
                    invoicePaymentID:
                      type:
                        - string
                        - 'null'
                    invoiceNumber:
                      type:
                        - string
                        - 'null'
                    invoiceDate:
                      type:
                        - string
                        - 'null'
                    totalAmount:
                      type:
                        - string
                        - 'null'
                    currencyCode:
                      type:
                        - string
                        - 'null'
                    status:
                      type:
                        - string
                        - 'null'
                    matchType:
                      type:
                        - string
                        - 'null'
                      enum:
                        - EXACT_AMOUNT
                        - SIMILAR_AMOUNT
                        - null
              invoiceVersion:
                type:
                  - string
                  - 'null'
              approvalRouting:
                type:
                  - object
                  - 'null'
                properties:
                  invoiceVersion:
                    type:
                      - string
                      - 'null'
                  steps:
                    type:
                      - array
                      - 'null'
                    items:
                      type: object
                      properties:
                        stepOrder:
                          type:
                            - number
                            - 'null'
                        kind:
                          type:
                            - string
                            - 'null'
                        approverName:
                          type:
                            - string
                            - 'null'
                        fallsBackToAdmins:
                          type:
                            - boolean
                            - 'null'
                        state:
                          type:
                            - string
                            - 'null'
                          enum:
                            - approved
                            - current
                            - waiting
                            - null
                        approvedByName:
                          type:
                            - string
                            - 'null'
                        approvedByOverride:
                          type:
                            - boolean
                            - 'null'
                  currentStepOrder:
                    type:
                      - number
                      - 'null'
                  requiredApprovals:
                    type:
                      - number
                      - 'null'
                  approvalsCounted:
                    type:
                      - number
                      - 'null'
                  waitingOn:
                    type:
                      - string
                      - 'null'
            required:
              - invoicePaymentID
              - attachments
        total:
          type: number
        statusCounts:
          type: object
          properties:
            all:
              type: number
            pending:
              type: number
            approved:
              type: number
            completed:
              type: number
          required:
            - all
            - pending
            - approved
            - completed
      required:
        - invoices
        - total
        - statusCounts
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
